CVE-2017-1000117

Impact:
Important
Public Date:
2017-08-10
CWE:
CWE-20
Bugzilla:
1480386: CVE-2017-1000117 git: Command injection via malicious ssh URLs
A shell command injection flaw related to the handling of "ssh" URLs has been discovered in Git. An attacker could use this flaw to execute shell commands with the privileges of the user running the Git client, for example, when performing a "clone" action on a malicious repository or a legitimate repository containing a malicious commit.

Find out more about CVE-2017-1000117 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

CVSS3 Base Score 6.3
CVSS3 Base Metrics CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Low
Integrity Impact Low
Availability Impact Low

Red Hat Security Errata

Platform Errata Release Date
Red Hat Mobile Application Platform 4.5 RHSA-2017:2674 2017-09-18
Red Hat Mobile Application Platform 4.5 RHSA-2017:2675 2017-09-18
Red Hat Software Collections for Red Hat Enterprise Linux 7 (rh-git29-git) RHSA-2017:2491 2017-08-17
Red Hat Software Collections for Red Hat Enterprise Linux 6 (rh-git29-git) RHSA-2017:2491 2017-08-17
Red Hat Enterprise Linux 6 (git) RHSA-2017:2485 2017-08-16
Red Hat Enterprise Linux 7 (git) RHSA-2017:2484 2017-08-16

Affected Packages State

Platform Package State
Red Hat Mobile Application Platform On-Premise 4 fh-scm Affected
Red Hat JBoss Fuse Service Works 6 jgit Not affected
Red Hat JBoss Fuse 6 camel Not affected
Red Hat JBoss Data Virtualization 6 jgit Not affected
Red Hat JBoss BRMS 6 jgit Not affected
Red Hat JBoss BPMS 6 jgit Not affected
Red Hat JBoss A-MQ 6 fabric8 Not affected

External References

Last Modified
Close

Welcome! Check out the Getting Started with Red Hat page for quick tours and guides for common tasks.